import type { UmbEntityUnique } from './types.js';
import { UmbContextBase } from '../../../libs/class-api/index.js';
import type { UmbControllerHost } from '../../../libs/controller-api/index.js';
/**
 * Provides the entity context
 * @class UmbEntityContext
 * @augments {UmbContextBase}
 */
export declare class UmbEntityContext extends UmbContextBase {
    #private;
    readonly entityType: import("rxjs").Observable<string | undefined>;
    readonly unique: import("rxjs").Observable<UmbEntityUnique>;
    /**
     * Creates an instance of UmbEntityContext.
     * @param {UmbControllerHost} host - The controller host for this controller to be appended to
     * @memberof UmbEntityContext
     */
    constructor(host: UmbControllerHost);
    /**
     * Set the entity type
     * @param {string | undefined} entityType
     * @memberof UmbEntityContext
     */
    setEntityType(entityType: string | undefined): void;
    /**
     * Get the entity type
     * @returns {string | undefined}
     * @memberof UmbEntityContext
     */
    getEntityType(): string | undefined;
    /**
     * Set the unique
     * @param {string | null} unique
     * @memberof UmbEntityContext
     */
    setUnique(unique: string | null): void;
    /**
     * Get the unique
     * @returns {string | null}
     * @memberof UmbEntityContext
     */
    getUnique(): UmbEntityUnique;
}
